// for EOS features
#include "EOS.h"
// For having access to pin 13:
#include "Pin13.h"

class CMyTask
{
public:
	CMyTask();
	void blinkIt();
};

// An instance of the class
CMyTask MyTask;

CMyTask::CMyTask()
{
	// Make pin 13 an output
	Pin13.toDigitalOutput();
	// Call the function blinkIt every 500 ms
	schedule(this,&CMyTask::blinkIt,500);
}


void CMyTask::blinkIt()
{
	static bool bLEDOn = false;
	// Write to Pin13 (LED) the current state (on/off)
	Pin13 = bLEDOn;
	// Change the state
	bLEDOn = !bLEDOn;
}
