//!	Pin0.h


//--------------------------- inclusion guards ----------------------
#ifndef _Pin0_h_
#define _Pin0_h_


//--------------------------- include section -----------------------
#include "Arduino_DigitalInput.h"
#include "Arduino_DigitalOutput.h"


//--------------------------- class definition ----------------------
class CPin0 : public CArduino_DigitalInput<0>, public CArduino_DigitalOutput<0>
{
//--------------------------- construction --------------------------
public:
    // constructor --------------------------------------------------
    //! this class has no member variables
    CONSTRUCTOR_EMPTY_NO_COPY_AND_ASSIGNMENT(CPin0);

//--------------------------- public access -------------------------
public:
    // operator = ---------------------------------------------------
    inline void operator = (const bool bActive)
    {
        writeDigital(bActive);
    }
};


static CPin0 Pin0;

#endif
