//!	Pin1.h


//--------------------------- inclusion guards ----------------------
#ifndef _Pin1_h_
#define _Pin1_h_


//--------------------------- include section -----------------------
#include "Arduino_DigitalInput.h"
#include "Arduino_DigitalOutput.h"


//--------------------------- class definition ----------------------
class CPin1 :
        public CArduino_DigitalInput<1>,
        public CArduino_DigitalOutput<1>
{
//--------------------------- construction --------------------------
public:
    // constructor --------------------------------------------------
    //! this class has no member variables
    CONSTRUCTOR_EMPTY_NO_COPY_AND_ASSIGNMENT(CPin1);

//--------------------------- public access -------------------------
public:
    // operator = ---------------------------------------------------
    inline void operator = (const bool bActive)
    {
        writeDigital(bActive);
    }
};


static CPin1 Pin1;

#endif
