//!	PinA0.h


//--------------------------- inclusion guards ----------------------
#ifndef _PinA0_h_
#define _PinA0_h_


//--------------------------- include section -----------------------
#include "Arduino_DigitalInput.h"
#include "Arduino_DigitalOutput.h"
#include "Arduino_AnalogInput.h"


//--------------------------- class definition ----------------------
class CPinA0 :
        public CArduino_DigitalInput<14>,
        public CArduino_DigitalOutput<14>,
        public CArduino_AnalogInput<0,1023>
{
//--------------------------- construction --------------------------
public:
    // constructor --------------------------------------------------
    //! this class has no member variables
    CONSTRUCTOR_EMPTY_NO_COPY_AND_ASSIGNMENT(CPinA0);

//--------------------------- public access -------------------------
public:
    // operator = ---------------------------------------------------
    inline void operator = (const bool bActive)
    {
        writeDigital(bActive);
    }
};


static CPinA0 PinA0;

#endif
