//!	PinA4.h


//--------------------------- inclusion guards ----------------------
#ifndef _PinA4_h_
#define _PinA4_h_


//--------------------------- include section -----------------------
#include "Arduino_DigitalInput.h"
#include "Arduino_DigitalOutput.h"
#include "Arduino_AnalogInput.h"


//--------------------------- class definition ----------------------
class CPinA4 :
        public CArduino_DigitalInput<18>,
        public CArduino_DigitalOutput<18>,
        public CArduino_AnalogInput<4,1023>
{
//--------------------------- construction --------------------------
public:
    // constructor --------------------------------------------------
    //! this class has no member variables
    CONSTRUCTOR_EMPTY_NO_COPY_AND_ASSIGNMENT(CPinA4);

//--------------------------- public access -------------------------
public:
    // operator = ---------------------------------------------------
    inline void operator = (const bool bActive)
    {
        writeDigital(bActive);
    }
};


static CPinA4 PinA4;

#endif
